> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/react-native/standalone-modules/face-liveness/release-notes.md).

# Release Notes

## February 09th, 2026

### `@caf.io/react-native-face-liveness@3.2.1`

{% hint style="warning" %}
Versions earlier than 3.2.1 will result iProov Liveness to become inoperable as of March 12, 2026. To ensure proper functionality and service continuity, please use version 3.2.1 or later.
{% endhint %}

#### Update

* Dependency update: Updated iProov version from 10.2.0 to 11.1.0 in Android.
* Dependency update: Updated iProov version from 12.2.1 to 13.1.0 in iOS.

**Android & iOS**

* New failure types: Added new failure to CafFailureType for better failure handling:
  * `BACKGROUND_ISSUE`
  * `DEVICE_ISSUE`
  * `EYEWEAR`
  * `FACE_NOT_FOUND`
  * `FRAMES_BLURRY`
  * `MOTION_ISSUE`
  * `LIGHTING_ISSUES`
  * `REJECTED`
  * `SYSTEM_ERROR`
  * `TIMEOUT`
  * `USER_NOT_FOUND`
  * `DEVICE_RESTART`
  * `PROCESSING_FAULT`

## May 09th, 2025

### `@caf.io/react-native-face-liveness@3.0.1`

#### Fixes

**Android**

* Fixed crash when network is not working.

***

## April 25th, 2025

### `@caf.io/react-native-face-liveness@3.0.0`

#### Breaking Changes

**Android**

* Updated minimum sdk from 21 to 26
* Added new event failure

#### iOS

* Update minumum xcode version from 15.2 to 16.2
* Added new event failure

#### Highlights

**Android**

* Analytics Improvement

**iOS**

* Analytics Improvement

***

## December 04th, 2024

### `@caf.io/react-native-face-liveness@2.1.0`

#### Highlights

**iOS**

* Reverse Proxy
* Analytics Improvement

***

## November 26th, 2024

### `@caf.io/react-native-face-liveness@2.0.1`

#### Highlights

**Android**

* Resolved a development warning related to `nativeEventEmitter`.

***

## October 28th, 2024

### `@caf.io/react-native-face-liveness@2.0.0`

#### Breaking changes

* Minimun React Native Version 0.73
* Updated type `FaceLivenessOptions` to `FaceLivenessSettings`
* Updated enum `ServerReason` to `ServerException`
* Updated enum `NetworkReason` to `NetworkException`
* Updated enum `UnknownReason` to `UnknownException`
* Removed `statusCode` from `FaceLivenessError`
* Removed enum `UnexpectedReason` from `Error`

**Android**

* Updated Kotlin version from 1.7.0 to 1.9.10.
* Updated Gradle from 6.9.1 to 8.4.
* Updated Android Gradle Plugin from 7.2.1 to 8.3.2.
* Updated compile and taget SDK from 33 to 34.

**iOS**

* Updated minimum deployment target from 12.0 to 13.0

#### Features

* Added enum `TokenException` to `Error`
* Added enum `UnsupportedDevice` to `Error`
* Added enum `CertificateException` to `Error`

**Android**

* Added proxy supports (only android)

***

### `@caf.io/react-native-face-liveness@1.4.0`

#### Enhancements

**Android**

*FaceLiveness Update*: we have updated FaceLiveness from v1.6.1 to [v2.0.0](https://github.com/combateafraude/public-docs/blob/docs-sdks/react-native/android/release-notes.md#faceliveness-200), improving security, user identification, performance and realiability of our facial authentication features.

*Genuine Presence Assurance (GPA) Option*: we have implemented GPA option within our SDK workflow. It introduces a refreshed user interface and focuses on fraud prevention, significantly reducing the occurrence of counterfeiting. This functionality aims to enhance security without compromising usability, providing a powerful tool to validate the genuine presence of the user.

**Breaking changes**

Due to the new version of FaceLiveness having integration with the FingerPrintJS Pro SDK, it will be necessary to fill out the [Data Safety Requirements for Google Play](https://dev.fingerprint.com/docs/native-android-integration?_gl=1*1kv4405*_ga*OTE0NjAxODE0LjE3MTExMTI1MjM.*_ga_XVKDT0L5WV*MTcxMTU0NzM5OC4zLjEuMTcxMTU0NzQxMi40Ni4wLjE1MDY4MDAxMjg.#data-safety-requirements-for-google-play).

**iOS**

*FaceLiveness Update*: we have updated FaceLiveness from v3.1.10 to [v4.0.0](https://github.com/combateafraude/public-docs/blob/docs-sdks/react-native/ios/release-notes.md#faceliveness-400), improving security, user identification, performance and realiability of our facial authentication features.

*Genuine Presence Assurance (GPA) Option*: we have implemented GPA option within our SDK workflow. It introduces a refreshed user interface and focuses on fraud prevention, significantly reducing the occurrence of counterfeiting. This functionality aims to enhance security without compromising usability, providing a powerful tool to validate the genuine presence of the user.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/react-native/standalone-modules/face-liveness/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
